# geos::operation::relate::EdgeEndBundleStar Class Reference

An ordered list of EdgeEndBundle objects around a RelateNode. More...

`#include <EdgeEndBundleStar.h>`

Inheritance diagram for geos::operation::relate::EdgeEndBundleStar:

List of all members.

## Public Member Functions

void | insert (geomgraph::EdgeEnd *e)
| Insert a EdgeEnd into this EdgeEndStar.
void | updateIM (geom::IntersectionMatrix *im)

## Detailed Description

An ordered list of EdgeEndBundle objects around a RelateNode.

They are maintained in CCW order (starting with the positive x-axis) around the node for efficient lookup and topology building.

The documentation for this class was generated from the following file:

- EdgeEndBundleStar.h